# SRS

Line-by-line Instructions
Introduction
This section provides a brief introduction to the software requirements specification. To keep this section brief, the background information on the project goals and scope and the recorded user needs are linked rather than duplicated here.
Use Cases
Use cases are a very important part of the SRS. They are written in a special format in their own use case document.
Functional Requirements
Feature specifications are a very important part of the SRS. They are written in a special format in their own features document.
What are the usability requirements?
List any specific usability requirements here. Refer to existing standards documents and write new requirements in as "shall" (sentences that use the word "shall").
What are the reliability and up-time requirements?
List any specific reliability and up-time requirements here. Refer to existing standards documents and write new requirements in as "shall" (sentences that use the word "shall").
What are the safety requirements?
List any specific safety requirements here. Refer to existing standards documents and write new requirements in as "shall" (sentences that use the word "shall").
What are the security requirements?
List any specific security requirements here. Refer to existing standards documents and write new requirements in as "shall" (sentences that use the word "shall").
What are the performance and scalability requirements requirements?
List any specific performance requirements here. Refer to existing standards documents and write new requirements in as "shall" (sentences that use the word "shall").
What are the maintainability and upgradability requirements?
List any specific maintainability and upgradability requirements here. Refer to existing standards documents and write new requirements in as "shall" (sentences that use the word "shall").
What are the supportability and operability requirements?
List any specific supportability and operability requirements here. Refer to existing standards documents and write new requirements in as "shall" (sentences that use the word "shall").
What are the business lifecycle requirements?
List any specific business lifecycle requirements here. Refer to existing standards documents and write new requirements in as "shall" (sentences that use the word "shall").
What are the system hardware requirements?
List any specific system hardware requirements here. These are the true minimum requirements. You might present somewhat higher system requirements to customers to give a margin of extra capacity.
What are the pre-installed software requirements?
List any specific pre-installed software requirements here.
What programmatic interfaces must be provided?
List any specific API requirements here. Refer to existing standards documents. Do not write API specs directly in this document.
What are the data import and export requirements?
List any specific import and export requirements here. Refer to existing standards documents and write new requirements in as "shall" (sentences that use the word "shall").
