<!-- markdownlint-disable-next-line MD041 -->
*TODO: This template is not done yet. Feel free to contribute your ideas.*

This document defines the artifacts the team creates during your software
development process.  Documenting artifact types helps define the inputs and
outputs of each development task.  The producer/consumer matrix helps document
the software development workflow.

### Artifact Producer / Consumer Matrix

| Read By \ Written By | Everyone                                           | Project Manager                                                          | Product Manager                                      | Dev Team                                                                                 | QA Team                                                      | Tech Writer                                                   | Tech Support   | Operations              | Sales                      |
|----------------------|----------------------------------------------------|--------------------------------------------------------------------------|------------------------------------------------------|------------------------------------------------------------------------------------------|--------------------------------------------------------------|---------------------------------------------------------------|----------------|-------------------------|----------------------------|
| Everyone             | [Release-Checklist](Release-Checklist), [SDM](SDM) | [Overview](Overview), [Proposal](Proposal), [Plan](Plan), [Risks](Risks) | [SRS](SRS)                                           | Mockups, Prototyes, Working-product                                                      |                                                              | [User-Guide](User-Guide), [Release-Notes](Release-Notes)      |                |                         |                            |
| Project Manager      | [Status-Report](Status-Report)                     | [Resource-Needs](Resource-Needs)                                         |                                                      | [Review-Report](Review-Report)                                                           | [QA-Plan](QA-Plan), [Test-Runs](Test-Runs), Defect-reports   |                                                               | Support-issues |                         | Customer-feedback          |
| Product Manager      |                                                    |                                                                          | [User-Needs](User-Needs)                             |                                                                                          |                                                              |                                                               | Support-issues |                         | Customer-feedback          |
| Dev Team             |                                                    | Task-assignments                                                         |                                                      | [Design](Design)                                                                         | [QA-Plan](QA-Plan), [Test-Runs](Test-Runs), Defect-reports   |                                                               |                |                         |                            |
| QA Team              |                                                    | Task-assignments                                                         |                                                      | [Design](Design), [Status-Report](Status-Report)                                         | [QA-Plan](QA-Plan), [Test-Suite](Test-Suite), Defect-reports | [FAQ](FAQ), [Install](Install)                                | Support-issues |                         |                            |
| Tech Writer          |                                                    | Task-assignments                                                         | [User-Needs](User-Needs)                             | [Design-UI](Design-UI)                                                                   |                                                              |                                                               | Support-issues |                         | Customer-feedback          |
| Tech Support         |                                                    |                                                                          |                                                      | [Design-UI](Design-UI)                                                                   |                                                              |                                                               | Support-issues |                         | Customer-feedback          |
| Operations           |                                                    |                                                                          | [User-Needs](User-Needs)                             | [Design-Architecture](Design-Architecture), [Implementation-Notes](Implementation-Notes) |                                                              | [Install](Install)                                            |                |                         |                            |
| Sales                |                                                    |                                                                          | [User-Needs](User-Needs), [Demo-Script](Demo-Script) | [Implementation-Notes](Implementation-Notes)                                             |                                                              | [Install](Install)                                            |                |                         | [Demo-Script](Demo-Script) |
